package speiger.src.coreengine.utils.profiler;

import java.util.function.ObjIntConsumer;

public final class EmptyProfiler implements IProfiler {
	public static final IProfiler INSTANCE = new EmptyProfiler();
	
	@Override
	public String getName() { return "Empty"; }
	@Override
	public IProfilerEntry getEntry(String name) { return null; }
	@Override
	public long getTicksRan() { return 0; }
	@Override
	public void enable() {}
	@Override
	public void disable() {}
	@Override
	public boolean isEnabled() { return false; }
	@Override
	public void addListener(ObjIntConsumer<IProfiler> listener) {}
	@Override
	public void removeListener(ObjIntConsumer<IProfiler> listener) {}
	@Override
	public IProfiler start(String name) { return this; }
	@Override
	public IProfiler start(Class<?> clz) { return this; }
	@Override
	public IProfiler stop() { return this; }
	@Override
	public IProfiler next(String name) { return this; }
	@Override
	public void onFrameEnded(boolean count) {}
	
}
